package zero1hd.polyjet.ui;

import com.badlogic.gdx.scenes.scene2d.actions.Actions;
import com.badlogic.gdx.scenes.scene2d.ui.Image;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;

import zero1hd.polyjet.Polyjet;

public class MusicSelectionPage extends Page {
	Image loading;

	public MusicSelectionPage(Polyjet core, Skin skin) {
		super("Select music", skin);
		
		loading = new Image(skin, "loading");
		loading.setPosition((getWidth()-loading.getWidth())/2, (getHeight()-loading.getHeight())/2);
		loading.setOrigin(loading.getWidth()/2, loading.getHeight()/2);
		loading.addAction(Actions.forever(Actions.rotateBy(-360f, 2f)));
		addActor(loading);
	}
}
